Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class DefaultPropInfo

    java.lang.Object
      |
      +--jpos.profile.DefaultPropInfo

All Implemented Interfaces:
  PropInfo, java.io.Serializable

class DefaultPropInfo
extends java.lang.Object
implements PropInfo, java.io.Serializable

Default implementation of the PropInfo interface

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`DefaultPropInfo(java.lang.String name, Profile profile)` Creates a PropInfo with name and profile passed

Method Summary
`PropValue` | `getDefaultValue()`
`java.lang.String` | `getDescription()`
`DevCat` | `getDevCat()`
`java.lang.String` | `getName()`
`Profile` | `getProfile()`
`java.lang.String` | `getShortDescription()`
`PropType` | `getType()`
`PropValueList` | `getValues()`
`PropInfoViewer` | `getViewer()`
`(package private) void` | `setDefaultValue(PropValue value)` Sets the default value for this property
`(package private) void` | `setDescription(java.lang.String s)` Sets the description of this PropInfo (this can be HTML formated)
`(package private) void` | `setDevCat(DevCat devCat)` Sets the DevCat that this property can be applied to
`(package private) void` | `setShortDescription(java.lang.String s)` Sets a short description of this PropInfo used as TootipText (this can be HTML formated)
`(package private) void` | `setType(PropType type)` Sets the type of this property
`(package private) void` | `setViewer(PropInfoViewer viewer)` Sets the PropInfoViewer for this property

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPropInfo

    public DefaultPropInfo(java.lang.String name,
                           Profile profile)

  Creates a PropInfo with name and profile passed
  Parameters:
    `name` - the PropInfo name
    `profile` - the Profile for this PropInfo

Method Detail

### getProfile

    public Profile getProfile()

  Specified by:
    `getProfile` in interface `PropInfo`
  Returns:
    the Profile associated with this PropInfo

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `PropInfo`
  Returns:
    the name of this property (MUST be unique per profile)

### getType

    public PropType getType()

  Specified by:
    `getType` in interface `PropInfo`
  Returns:
    the type of this property

### getDefaultValue

    public PropValue getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `PropInfo`
  Returns:
    the default value for this property

### getValues

    public PropValueList getValues()

  Specified by:
    `getValues` in interface `PropInfo`
  Returns:
    the list of possible values for this property

### getDevCat

    public DevCat getDevCat()

  Specified by:
    `getDevCat` in interface `PropInfo`
  Returns:
    the DevCat that this property can be applied to

### getViewer

    public PropInfoViewer getViewer()

  Specified by:
    `getViewer` in interface `PropInfo`
  Returns:
    the PropInfoViewer for this property

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `PropInfo`
  Returns:
    a description of this PropInfo (this can be HTML formated)

### getShortDescription

    public java.lang.String getShortDescription()

  Specified by:
    `getShortDescription` in interface `PropInfo`
  Returns:
    a short description of this PropInfo (this can be HTML formated)

### setType

    void setType(PropType type)

  Sets the type of this property
  Parameters:
    `type` - the PropType

### setDefaultValue

    void setDefaultValue(PropValue value)

  Sets the default value for this property
  Parameters:
    `propValue` - the PropValue

### setDevCat

    void setDevCat(DevCat devCat)

  Sets the DevCat that this property can be applied to
  Parameters:
    `devCat` - the DevCat

### setViewer

    void setViewer(PropInfoViewer viewer)

  Sets the PropInfoViewer for this property
  Parameters:
    `viewer` - the PropInfoViewer

### setDescription

    void setDescription(java.lang.String s)

  Sets the description of this PropInfo (this can be HTML formated)
  Parameters:
    `s` - the String

### setShortDescription

    void setShortDescription(java.lang.String s)

  Sets a short description of this PropInfo used as TootipText (this can be HTML formated)
  Parameters:
    `s` - the String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details